﻿/* ButtonBarStyle is used for Labels, i.e. button lookalikes which have no click events */
.ButtonBarStyle div {
    display: block;
    float: left;
    margin: 3px 7px 3px 0;
    background-color: #f5f5f5;
    border: 1px solid #dedede;
    border-top: 1px solid #eee;
    border-left: 1px solid #eee;
    font-family: Roboto, 'Roboto', Segoe UI,"SegoeUIWF",Arial,sans-serif;
    font-size: 100%;
    line-height: 130%;
    text-decoration: none;
    font-weight: bold;
    color: #565656;
    padding: 5px 10px 6px 7px;
    border-radius: 4px; /* Links */
}

    .ButtonBarStyle div span {
    }

    .ButtonBarStyle div img {
        margin: 0 3px -3px 0 !important;
        padding: 0;
        border: none;
        width: 16px;
        height: 16px;
        float: left;
    }

.ButtonBarEnd {
    clear: both;
}

.ButtonBar a, .ButtonBar button {
    display: block;
    float: left;
    margin: 3px 7px 3px 0;
    background-color: #f5f5f5;
    border: 1px solid #dedede;
    border-top: 1px solid #eee;
    border-left: 1px solid #eee;
    font-family: Roboto, 'Roboto', Segoe UI,"SegoeUIWF",Arial,sans-serif;
    font-size: 100%;
    line-height: 130%;
    text-decoration: none;
    font-weight: bold;
    color: #565656;
    cursor: pointer;
    padding: 5px 10px 6px 7px;
    border-radius: 4px; /* Links */
}

.ButtonBar button {
    width: auto;
    overflow: visible;
    padding: 4px 10px 3px 7px; /* IE6 */
}

    .ButtonBar button[type] {
        padding: 5px 10px 5px 7px; /* Firefox */
        line-height: 17px; /* Safari */
        float: left;
    }

*:first-child + html button[type] {
    padding: 4px 10px 3px 7px; /* IE7 */
    float: left;
}

.ButtonBar button img, .ButtonBar a img {
    margin: 0 3px -3px 0 !important;
    padding: 0;
    border: none;
    width: 16px;
    height: 16px;
    float: left;
}

/* STANDARD */
.ButtonBar button:hover, .ButtonBar a:hover {
    background-color: #dff4ff;
    border: 1px solid #c2e1ef;
    color: #336699;
}

.ButtonBar a:active {
    background-color: #6299c5;
    border: 1px solid #6299c5;
    color: #fff;
}

/* SELECTED */
.ButtonBar a.Selected, .ButtonBar button.Selected {
    background-color: #6299c5;
    border: 1px solid #6299c5;
    color: #fff;
}

    .ButtonBar a.Selected:hover, .ButtonBar button.Selected:hover {
        background-color: #dff4ff;
        border: 1px solid #c2e1ef;
        color: #336699;
    }

    .ButtonBar a.Selected:active {
        background-color: #6299c5;
        border: 1px solid #6299c5;
        color: #fff;
    }

/* POSITIVE */
.ButtonBarStyle .Positive, .ButtonBar a.Positive, button.Positive {
    color: #529214;
}

    .ButtonBar a.Positive:hover, button.Positive:hover {
        background-color: #E6EFC2;
        border: 1px solid #C6D880;
        color: #529214;
    }

    .ButtonBar a.Positive:active {
        background-color: #529214;
        border: 1px solid #529214;
        color: #fff;
    }

/* POSITIVESELECTED */
.ButtonBarStyle .PositiveSelected, .ButtonBar a.PositiveSelected, .ButtonBar button.Positive {
    background-color: #529214;
    color: white;
}

    .ButtonBar a.PositiveSelected:hover, .ButtonBar button.PositiveSelected:hover {
        background-color: #529214;
        border: 1px solid #C6D880;
        color: white;
    }

    .ButtonBar a.PositiveSelected:active {
        background-color: #529214;
        border: 1px solid #529214;
        color: white;
    }

/* POSITIVE2 */
.ButtonBarStyle .Positive2, .ButtonBar a.Positive2, button.Positive2 {
    color: #529214;
}

    .ButtonBar a.Positive2:hover, button.Positive2:hover {
        background-color: #E6EFC2;
        border: 1px solid #C6D880;
        color: #529214;
    }

    .ButtonBar a.Positive2:active {
        background-color: #75CD1D;
        border: 1px solid #529214;
        color: #fff;
    }

/* POSITIVE2SELECTED */
.ButtonBarStyle .Positive2Selected, .ButtonBar a.Positive2Selected, .ButtonBar button.Positive2 {
    background-color: #75CD1D;
    color: white;
}

    .ButtonBar a.Positive2Selected:hover, .ButtonBar button.Positive2Selected:hover {
        background-color: #75CD1D;
        border: 1px solid #C6D880;
        color: white;
    }

    .ButtonBar a.Positive2Selected:active {
        background-color: #75CD1D;
        border: 1px solid #75CD1D;
        color: white;
    }

/* POSITIVE3 */
.ButtonBarStyle .Positive3, .ButtonBar a.Positive3, button.Positive {
    color: #FFB62F;
}

    .ButtonBar a.Positive3:hover, button.Positive3:hover {
        background-color: #FFF4CA;
        border: 1px solid #FFB62F;
        color: #FFB62F;
    }

    .ButtonBar a.Positive3:active {
        background-color: #FFCC33;
        border: 1px solid #FFB62F;
        color: #fff;
    }

/* POSITIVE3SELECTED */
.ButtonBarStyle .Positive3Selected, .ButtonBar a.Positive3Selected, .ButtonBar button.Positive3 {
    background-color: #FFCC33;
    color: white;
}

    .ButtonBar a.Positive3Selected:hover, .ButtonBar button.Positive3Selected:hover {
        background-color: #FFCC33;
        border: 1px solid #FFB62F;
        color: white;
    }

    .ButtonBar a.Positive3Selected:active {
        background-color: #FFCC33;
        border: 1px solid #FFB62F;
        color: white;
    }

/* NEGATIVE */
.ButtonBarStyle .Negative, .ButtonBar a.Negative, button.Negative {
    color: #d12f19;
}

    .ButtonBar a.Negative:hover, button.Negative:hover {
        background: #fbe3e4;
        border: 1px solid #fbc2c4;
        color: #d12f19;
    }

    .ButtonBar a.Negative:active {
        background-color: #d12f19;
        border: 1px solid #d12f19;
        color: #fff;
    }

/* NEGATIVESELECTED */
.ButtonBarStyle .NegativeSelected, .ButtonBar .NegativeSelected, a.NegativeSelected, button.NegativeSelected {
    background-color: #d12f19;
    border: 1px solid #d12f19;
    color: #fff;
}

    .ButtonBar a.NegativeSelected:hover, button.NegativeSelected:hover {
        background-color: #fbe3e4;
        border: 1px solid #fbc2c4;
        color: #d12f19;
    }

.ButtonBar a.NegativeSelected:active {
    background-color: #d12f19;
    border: 1px solid #d12f19;
    color: #fff;
}

/* PLAINGRAY */
.ButtonBarStyle .PlainGray, .ButtonBar a.PlainGray, button.PlainGray {
    color: #aaa;
    border: 0px;
    padding-left: 0px;
    background-color: Transparent;
}

    .ButtonBar a.PlainGray:hover, button.PlainGray:hover {
        color: #777;
        border: 0px;
        padding-left: 0px;
        background-color: Transparent;
    }

    .ButtonBar a.PlainGray:active {
        color: #aaa;
        border: 0px;
        padding-left: 0px;
        background-color: Transparent;
    }

/* PLAINGRAYSELECTED */
.ButtonBarStyle .PlainGraySelected, .ButtonBar a.PlainGraySelected, .ButtonBar button.PlainGray {
    color: #333;
    border: 0px;
    padding-left: 0px;
    text-decoration: underline;
    background-color: Transparent;
}

    .ButtonBar a.PlainGraySelected:hover, .ButtonBar button.PlainGraySelected:hover {
        color: #777;
        border: 0px;
        padding-left: 0px;
        text-decoration: underline;
        background-color: Transparent;
    }

    .ButtonBar a.PlainGraySelected:active {
        color: #333;
        border: 0px;
        padding-left: 0px;
        text-decoration: underline;
        background-color: Transparent;
    }

/* NEUTRAL */
.ButtonBar a.Neutral, button.Neutral {
    color: #777;
}

    .ButtonBar a.Neutral:hover, button.Neutral:hover {
        background: #ddd;
        border: 1px solid #555;
        color: #555;
    }

    .ButtonBar a.Neutral:active {
        background-color: #ddd;
        border: 1px solid #555;
        color: #555;
    }

/* NEUTRALSELECTED */
.ButtonBar a.NeutralSelected, button.NeutralSelected {
    background-color: #ddd;
    border: 1px solid #555;
    color: #555;
}

    .ButtonBar a.NeutralSelected:hover, button.NeutralSelected:hover {
        background-color: #555;
        border: 1px solid #000;
        color: #fff;
    }

    .ButtonBar a.NeutralSelected:active {
        background-color: #555;
        border: 1px solid #000;
        color: #fff;
    }

/* DISABLED */
.ButtonBar .disabled {
    color: grey;
    cursor: default;
    font-weight: normal;
}

    .ButtonBar .disabled:hover {
        background-color: whiteSmoke;
        border: 1px solid #DEDEDE;
        border-top: 1px solid #EEE;
        border-left: 1px solid #EEE;
        color: grey;
        font-weight: normal;
    }
